Translation

Load keys from another platform by language within same project

Loads source keys from one platform to another within the same project, matching by category and language.

POST
/api/v2/translations/import-keys

Authorization

BearerAuthObject
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v2/translations/import-keys" \  -H "Content-Type: application/json" \  -d '{    "fromPlatformId": 24,    "toPlatformId": 76,    "languageId": 1  }'
{  "categories": [    {      "category": "auth",      "keys": [        {          "key": "B2Core.Providers.ControlErrors.ErrorTexts.IsRequiredAge",          "value": "User must be over {minage} y.o."        }      ]    }  ]}
Empty
Empty
Empty